--- ./lib/libalpm/util.c	2020-11-14 11:56:28.898950594 +0000
+++ ./lib/libalpm/util.c	2020-11-12 18:38:42.509009000 +0000
@@ -378,6 +378,7 @@
 
 		/* Extract the archive entry. */
 		int readret = archive_read_extract(archive, entry, 0);
+		sync();
 		if(readret == ARCHIVE_WARN) {
 			/* operation succeeded but a non-critical error was encountered */
 			_alpm_log(handle, ALPM_LOG_WARNING, _("warning given when extracting %s (%s)\n"),
